ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
search_markup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_search_form (&$Settings)

## Data Fields
| $BlockSettings = false
| $CachedMultyFS = false
| $Security = false
| $String = false
| $Output = false

## Detailed Description

Class provides site search routine.

Author
  Dodonov A.A.

Definition at line 26 of file search_markup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 65 of file search_markup.php.

{
try
{
$this->BlockSettings = get_package_object( 'settings::settings' , 'last' , __FILE__ );
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_search_form | ( | & | $Settings | ) |

Function compiles search form.

Parameters

  $Settings | - Compilation parameters.

Returns
  HTML code of the widget.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 102 of file search_markup.php.

{
try
{
list( $Speed , $Prefix , $FormId , $Action ) = $this->BlockSettings->get_settings(
'speed,prefix,form_id,action' , '500,common,search_form,'
);
$TemplateFileName = $Prefix == 'common' ? 'common_search_form.tpl' : 'custom_search_form.tpl';
$Code = $this->CachedMultyFS->get_template( __FILE__ , $TemplateFileName );
$Code = str_replace(
array( '{speed}' , '{prefix}' , '{form_id}' , '{action}' ) ,
array( $Speed , $Prefix , $FormId , $Action ) ,
$Code
);
return( $Code );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$BlockSettings = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file search_markup.php.

$CachedMultyFS = false

Definition at line 39 of file search_markup.php.

$Output = false

Display function's result.

Author
  Dodonov A.A.

Definition at line 53 of file search_markup.php.

$Security = false

Definition at line 40 of file search_markup.php.

$String = false

Definition at line 41 of file search_markup.php.

The documentation for this class was generated from the following file:

- packages/search/packages/search_markup/search_markup.php